package de.arminwolf.exceptions;

import lombok.Data;
import org.springframework.http.HttpStatusCode;

@Data
public class AppException extends RuntimeException {

	private final HttpStatusCode code;


	public AppException(final String message, final HttpStatusCode code) {
		super(message);
		this.code = code;
	}
}
