package de.arminwolf.models.mapper;

import de.arminwolf.models.User;
import de.arminwolf.models.dto.UserDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = "spring",
		unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface UserMapper {

	UserDTO userToUserDTO(User user);

	User userDTOToUser(UserDTO userDTO);
}
