package de.arminwolf.controllers;

import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@PreAuthorize("hasAnyRole(['USER', 'ADMIN'])")
@RequestMapping("/user/")
public class UserAccessController {

	@GetMapping("/")
	public ResponseEntity<String> user() {
		return ResponseEntity.ok("User access granted");
	}

}
