package de.arminwolf.models.mapper;

import de.arminwolf.models.Role;
import de.arminwolf.models.dto.RoleDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;


@Mapper(componentModel = "spring",
		unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface RoleMapper {


	RoleDTO roleToRoleDTO(Role role);

	Role roleDTOToRole(RoleDTO roleDTO);

}
